libzypp 17.37.10

ResTraits.h File Reference
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/ResKind.h>`

Go to the source code of this file.

## Classes
struct | zypp::ResTraits< TRes >
| ResTraits. More...
struct | zypp::ResTraits< Resolvable >
| ResTraits specialisation for Resolvable. More...
struct | zypp::ResTraits< ResObject >
| ResTraits specialisation for ResObject. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::traits

## Functions
bool | zypp::traits::isPseudoInstalled (const ResKind &kind_r)
| Those are denoted to be installed, if the solver verifies them as being satisfied.
| zypp::DEFINE_PTR_TYPE (Resolvable)
| zypp::DEFINE_PTR_TYPE (ResObject)
| zypp::DEFINE_PTR_TYPE (Package)
| zypp::DEFINE_PTR_TYPE (SrcPackage)
| zypp::DEFINE_PTR_TYPE (Pattern)
| zypp::DEFINE_PTR_TYPE (Product)
| zypp::DEFINE_PTR_TYPE (Patch)
| zypp::DEFINE_PTR_TYPE (Application)
template<typename TRes>
ResKind | zypp::resKind ()
| Convenient access to well known ResKinds.
template<typename TRes>
bool | zypp::isKind (const ResKind &val_r)
| Convenient test for ResKinds.
template<typename TRes>
bool | zypp::isKind (const std::string &val_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename TRes>
bool | zypp::isKind (const char *val_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.